ReferenceRest

List agents

Lists agents for the authenticated organization.

GET
/api/v1/agents

Lists agents for the authenticated organization.

Authorization

AuthorizationBearer <token>

Use Authorization: Bearer <salestouch_api_key>.

In: header

Query Parameters

cursor?string
limit?integer
Range1 <= value <= 100

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://www.salestouch.io/api/v1/agents"
{
  "data": {
    "agents": [
      {
        "handle": "string",
        "organizationId": "string",
        "firstName": "string",
        "lastName": "string",
        "jobTitle": "string",
        "avatarUrl": "string",
        "linkedinUrl": "string",
        "emailSignature": "string",
        "calendarUrl": "string",
        "timezone": "string",
        "workingHours": {},
        "personality": "string",
        "company": "string",
        "smartDeliverability": true,
        "emailAccounts": [
          {
            "provider": "GOOGLE",
            "email": "user@example.com"
          }
        ],
        "createdAt": "2019-08-24T14:15:22Z",
        "updatedAt": "2019-08-24T14:15:22Z"
      }
    ],
    "nextCursor": "string"
  }
}
{
  "error": {
    "message": "string",
    "code": "string"
  }
}
{
  "error": {
    "message": "string",
    "code": "string"
  }
}
{
  "error": {
    "message": "string",
    "code": "string"
  }
}
{
  "error": {
    "message": "string",
    "code": "string"
  }
}